package net.rumati.logging.muffero.appender;

import net.rumati.logging.muffero.layout.Layout;
import net.rumati.logging.muffero.LogEvent;

public class ConsoleAppender
    extends AbstractNonFilteringAppender
{
    private final Layout layout;

    public ConsoleAppender(Layout layout)
    {
        this.layout = layout;
    }

    public void append(LogEvent event)
    {
        System.out.print(layout.format(event));
    }

    public void shutdown()
    {
    }
}
