package net.rumati.logging.muffero;

import java.util.Map;

public class MDC
{
    private MDC()
    {
        throw new AssertionError();
    }

    public static void put(String key, String value)
    {
        LoggerContext.get().getMDCManager().put(key, value);
    }

    public static String get(String key)
    {
        return LoggerContext.get().getMDCManager().get(key);
    }

    public static void remove(String key)
    {
        LoggerContext.get().getMDCManager().remove(key);
    }

    public static void clear()
    {
        LoggerContext.get().getMDCManager().clear();
    }

    public static Map<String, String> getCopyOfContextMap()
    {
        return LoggerContext.get().getMDCManager().getCopyOfContextMap();
    }

    public static void setContextMap(Map<String, String> map)
    {
        LoggerContext.get().getMDCManager().setContextMap(map);
    }
}
