package net.rumati.logging.muffero;

import java.util.List;

public class NDC
{
    private NDC()
    {
        throw new AssertionError();
    }

    public static void push(String key)
    {
        LoggerContext.get().getNDCManager().push(key);
    }

    public static String pop()
    {
        return LoggerContext.get().getNDCManager().pop();
    }

    public static void clear()
    {
        LoggerContext.get().getNDCManager().clear();
    }

    public static void pop(String key)
    {
        LoggerContext.get().getNDCManager().pop(key);
    }

    public static List<String> getCopyOfStack()
    {
        return LoggerContext.get().getNDCManager().getCopyOfStack();
    }

    public static boolean contains(String key)
    {
        return LoggerContext.get().getNDCManager().contains(key);
    }
}
